> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Recipient By Address

> Delete a recipient by using their address or their email address.



## OpenAPI

````yaml post /recipients-utils/delete-by-address
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /recipients-utils/delete-by-address:
    post:
      tags:
        - Recipients
      summary: Delete Recipient By Address
      description: Delete a recipient by using their address or their email address.
      operationId: deleteRecipientByAddress
      requestBody:
        content:
          application/json:
            schema:
              type: object
              anyOf:
                - title: Delete Recipient by Address
                  description: Delete a recipient by providing address details
                  required:
                    - mailing_list_id
                    - address
                    - postal_code
                - title: Delete Recipient by Email
                  description: Delete a recipient by providing email address
                  required:
                    - mailing_list_id
                    - email
              properties:
                mailing_list_id:
                  type: integer
                  example: 1
                address:
                  type: string
                  example: 123 Main Street
                address2:
                  type: string
                  example: Apartment 1
                city:
                  type: string
                  example: Any Town
                province:
                  type: string
                  description: State or Province
                  example: KS
                postal_code:
                  type: string
                  example: '12345'
                country:
                  type: string
                  example: US
                email:
                  type: string
                  example: tobias@example.com
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                status: Recipient 297230 Deleted
        '400':
          $ref: '#/components/responses/MailingListDoesNotExist'
components:
  responses:
    MailingListDoesNotExist:
      description: The specified mailing list does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Mailing List Does Not Exist
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````